#include <xc.h>

#include "christmas-lights.h"


void rotatePattern(pattern_32_t *pattern){
	(*pattern).DW = ((*pattern).DW << 1) | ((*pattern).byte3 >> 7);
}
void rotatePatterns(void){
	rotatePattern(&pattern1);
	rotatePattern(&pattern3);
	rotatePattern(&pattern4);
}

void initProgram(void){
	switch(*runningProgram){
		case 1:
			program1Init();
		break;
		case 2:
			program2Init();
		break;
		case 3:
			program3Init();
		break;
		case 4:
			program4Init();
		break;
		case 5:
			program5Init();
		break;
		case 6:
			program6Init();
		break;
		case 7:
			program7Init();
		break;
	}
	TMR0 = 0;
	timer0PassCounter = 1;
}

void runProgram(void){
	switch(*runningProgram){
		case 1:
			program1();
		break;
		case 2:
			program2();
		break;
		case 3:
			program3();
		break;
		case 4:
			program4();
		break;
		case 5:
			program5();
		break;
		case 6:
			program6();
		break;
		case 7:
			program7();
		break;
	}
}
