// program 3 - "dual tail" meteor shower. slow ramp up and down
// every LED is 120 degrees out of phase.

#include <xc.h>
#include "christmas-lights.h"


signed short addend1;
signed short addend3;
signed short addend4;

void program2Init(void){
	timer0PostScaller = 1;
	OPTION_REG &= 0xF0;
	OPTION_REG |= 0x03;

	pwmMin = PROGRAM2_MIN;
	pwmMax = PROGRAM2_MAX;

	pwm1Value = 0;
	pwm3Value = 85;
	pwm4Value = 171;
	addend1 = 1;
	addend3 = 1;
	addend4 = 1;
}


void program2(void){
	pwm1Value += addend1;
	pwm3Value += addend3;
	pwm4Value += addend4;
	if(pwm1Value == pwmMax || pwm1Value == pwmMin)
		addend1 = -addend1;
	if(pwm3Value == pwmMax || pwm3Value == pwmMin)
		addend3 = -addend3;
	if(pwm4Value == pwmMax || pwm4Value == pwmMin)
		addend4 = -addend4;
}
