// Program 5 - simple pattern

#include <xc.h>
#include "christmas-lights.h"

void program5Init(void){
	timer0PostScaller = 5;
	OPTION_REG &= 0xF0;
	OPTION_REG |= 0x07;

	//pattern1.DW = 0b1101111010010101;
	//pattern3.DW = 0b1010000100110001;
	//pattern4.DW = 0b1000100111111101;

	//pattern1.DW = 0b0000000100001000;
	//pattern3.DW = 0b0000100000000100;
	//pattern4.DW = 0b1000001010000000;

	pwmMin = PROGRAM5_MIN;
	pwmMax = PROGRAM5_MAX;

	// blitz pattern
	pattern1.word1 = 0;
	pattern3.word1 = 0;
	pattern4.word1 = 0;

	pattern1.word0 = 0b0000001010000000;
	pattern3.word0 = 0b0001010000000000;
	pattern4.word0 = 0b1010000000000000;
}
void program5(void){
	if(pattern1.bit0){
		pwm1Value=pwmMax;
	}else{
		pwm1Value=pwmMin;
	}
	if(pattern3.bit0){
		pwm3Value=pwmMax;
	}else{
		pwm3Value=pwmMin;
	}
	if(pattern4.bit0){
		pwm4Value=pwmMax;
	}else{
		pwm4Value=pwmMin;
	}
	rotatePatterns();
}
