// Program 5 - smooth pattern

#include <xc.h>
#include "christmas-lights.h"

unsigned char patternDelay;


void loadRandomPatterns1(void){
	pattern1.DW = 0b1101111010010101101110010100001;
	pattern3.DW = 0b1010000100110001001011011110111;
	pattern4.DW = 0b1000100111111101010111110100101;
}

void program6Init(void){
	timer0PostScaller = 1;
	OPTION_REG &= 0xF0;
	OPTION_REG |= 0x02;

	patternDelay = 0;
	pwmMin = PROGRAM6_MIN;
	pwmMax = PROGRAM6_MAX;

	loadRandomPatterns1();

	//pattern1.DW = 0b0000000100001000;
	//pattern3.DW = 0b0000100000000100;
	//pattern4.DW = 0b1000001010000000;

	//pattern1.DW = 0b00000000000000000101000000000000;
	//pattern3.DW = 0b00000010101000000000000000000000;
	//pattern4.DW = 0b00001000000001001000000000000000;
}
void program6(void){
	--patternDelay;

	if(pattern1.bit0){
		if(pwm1Value < pwmMax)
			++pwm1Value;
	}else{
		if(pwm1Value > pwmMin)
			--pwm1Value;
	}

	if(pattern3.bit0){
		if(pwm3Value < pwmMax)
			++pwm3Value;
	}else{
		if(pwm3Value > pwmMin)
			--pwm3Value;
	}

	if(pattern4.bit0){
		if(pwm4Value < pwmMax)
			++pwm4Value;
	}else{
		if(pwm4Value > pwmMin)
			--pwm4Value;
	}
    if(	patternDelay == 0){
		rotatePatterns();
	}
}
