// program 1 - meteor shower effect. Fast on, slow ramp down

#include <xc.h>
#include "christmas-lights.h"


void program1Init(void){
	timer0PostScaller = 3;
	OPTION_REG &= 0xF0;
	OPTION_REG |= 0x06;

	pwmMax = PROGRAM1_MAX;
	pwmMin = PROGRAM1_MIN;

	pwm1Value = PROGRAM1_MIN;
	pwm3Value = PROGRAM1_MIN+(PROGRAM1_MAX-PROGRAM1_MIN)/3;
	pwm4Value = PROGRAM1_MIN+(PROGRAM1_MAX-PROGRAM1_MIN)/3*2;
}

void program1(void){
	if(pwm1Value == pwmMin){
		pwm1Value = pwmMax;
	}else{
		pwm1Value--;
	}
	if(pwm3Value == pwmMin){
		pwm3Value = pwmMax;
	}else{
		pwm3Value--;
	}
	if(pwm4Value == pwmMin){
		pwm4Value = pwmMax;
	}else{
		pwm4Value--;
	}
}
