// program 3 - slow wave. Slowly turn on and off all leds

#include <xc.h>
#include "christmas-lights.h"

signed short addend1;
signed short addend3;
signed short addend4;

void program3Init(void){
	timer0PostScaller = 1;
	OPTION_REG &= 0xF0;
	OPTION_REG |= 0x07;

	pwmMax = PROGRAM3_MAX;
	pwmMin = PROGRAM3_MIN;

	pwm1Value = pwmMin;
	pwm3Value = pwmMin;
	pwm4Value = pwmMin;
	addend1 = 1;
	addend3 = 1;
	addend4 = 1;
}
// program 3 is the same as program 2, but with different initialization
/*
void program3(void){
    program2();
}*/
