// program 4 - running lights
#include <xc.h>
#include "christmas-lights.h"

void program4Init(void){
	timer0PostScaller = 15;
	OPTION_REG &= 0xF0;
	OPTION_REG |= 0x07;

	pwmMin = PROGRAM4_MIN;
	pwmMax = PROGRAM4_MAX;

	pwm1Value = pwmMax;
	pwm3Value = pwmMin;
	pwm4Value = pwmMin;
}
void program4(void){
 	if(pwm1Value == pwmMax){
		pwm1Value = pwmMin;
		pwm3Value = pwmMax;
	} else if(pwm3Value == pwmMax){
		pwm3Value = pwmMin;
		pwm4Value = pwmMax;
	} else if(pwm4Value == pwmMax){
		pwm4Value = pwmMin;
		pwm1Value = pwmMax;
	}
}
